<?php echo apply_filters( 'atospp_pp_before_heading', '' ); ?>
    <h2 id='atospp-privacy' class='auto-tos-pp ppheading'><?php echo $atospp_pp_heading; ?>:</h2>
<?php echo apply_filters( 'atospp_pp_after_heading', '' ); ?>
    <p><?php echo $atospp_namefull; ?> (&quot;<strong><?php echo $atospp_name; ?></strong>&quot;)
        operates <?php echo $atospp_domainname; ?> and may operate other websites. It
        is <?php echo $atospp_namepossessive; ?> policy to respect your privacy regarding any information we may collect
        while operating our websites.</p>
    <h3>Website Visitors</h3>
    <p>Like most website operators, <?php echo $atospp_name; ?> collects non-personally-identifying information of the
        sort that web browsers and servers typically make available, such as the browser type, language preference,
        referring site, and the date and time of each visitor request. <?php echo $atospp_namepossessive; ?> purpose in
        collecting non-personally identifying information is to better understand
        how <?php echo $atospp_namepossessive; ?> visitors use its website. From time to
        time, <?php echo $atospp_name; ?> may release non-personally-identifying information in the aggregate, e.g., by
        publishing a report on trends in the usage of its website.</p>
    <p><?php echo $atospp_name; ?> also collects potentially personally-identifying information like Internet Protocol
        (IP) addresses for logged in users and for users leaving comments on <?php echo $atospp_domainname; ?>
        blogs/sites. <?php echo $atospp_name; ?> only discloses logged in user and commenter IP addresses under the same
        circumstances that it uses and discloses personally-identifying information as described below, except that
        commenter IP addresses and email addresses are visible and disclosed to the administrators of the blog/site
        where the comment was left.</p>
    <h3>Gathering of Personally-Identifying Information</h3>
    <p>Certain visitors to <?php echo $atospp_namepossessive; ?> websites choose to interact
        with <?php echo $atospp_name; ?> in ways that require <?php echo $atospp_name; ?> to gather
        personally-identifying information. The amount and type of information that <?php echo $atospp_name; ?> gathers
        depends on the nature of the interaction. For example, we ask visitors who sign up at <a
                href="<?php echo esc_url( $atospp_websiteurl ); ?>"><?php echo $atospp_domainname; ?></a> to provide a
        username and email address. Those who engage in transactions with <?php echo $atospp_name; ?> are asked to
        provide additional information, including as necessary the personal and financial information required to
        process those transactions. In each case, <?php echo $atospp_name; ?> collects such information only insofar as
        is necessary or appropriate to fulfill the purpose of the visitor's interaction with
		<?php echo $atospp_name; ?>. <?php echo $atospp_name; ?> does not disclose personally-identifying information
        other than as described below. And visitors can always refuse to supply personally-identifying information, with
        the caveat that it may prevent them from engaging in certain website-related activities.</p>
    <h3>Aggregated Statistics</h3>
    <p><?php echo $atospp_name; ?> may collect statistics about the behavior of visitors to its
        websites. <?php echo $atospp_name; ?> may display this information publicly or provide it to others.
        However, <?php echo $atospp_name; ?> does not disclose personally-identifying information other than as
        described below.</p>
    <h3>Protection of Certain Personally-Identifying Information</h3>
    <p><?php echo $atospp_name; ?> discloses potentially personally-identifying and personally-identifying information
        only to those of its employees, contractors and affiliated organizations that (i) need to know that information
        in order to process it on <?php echo $atospp_namepossessive; ?> behalf or to provide services available
        at <?php echo $atospp_namepossessive; ?> websites, and (ii) that have agreed not to disclose it to others. Some
        of those employees, contractors and affiliated organizations may be located outside of your home country; by
        using <?php echo $atospp_namepossessive; ?> websites, you consent to the transfer of such information to
        them. <?php echo $atospp_name; ?> will not rent or sell potentially personally-identifying and
        personally-identifying information to anyone. Other than to its employees, contractors and affiliated
        organizations, as described above, <?php echo $atospp_name; ?> discloses potentially personally-identifying and
        personally-identifying information only in response to a subpoena, court order or other governmental request, or
        when <?php echo $atospp_name; ?> believes in good faith that disclosure is reasonably necessary to protect the
        property or rights of <?php echo $atospp_name; ?>, third parties or the public at large. If you are a registered
        user of an <?php echo $atospp_name; ?> website and have supplied your email address, <?php echo $atospp_name; ?>
        may occasionally send you an email to tell you about new features, solicit your feedback, or just keep you up to
        date with what's going on with <?php echo $atospp_name; ?> and our products. If you send us a request (for
        example via email or via one of our feedback mechanisms), we reserve the right to publish it in order to help us
        clarify or respond to your request or to help us support other users. <?php echo $atospp_name; ?> takes all
        measures reasonably necessary to protect against the unauthorized access, use, alteration or destruction of
        potentially personally-identifying and personally-identifying information.</p>
    <h3>Cookies</h3>
    <p>A cookie is a string of information that a website stores on a visitor's computer, and that the visitor's browser
        provides to the website each time the visitor returns. <?php echo $atospp_name; ?> uses cookies to
        help <?php echo $atospp_name; ?> identify and track visitors, their usage of <?php echo $atospp_name; ?>
        website, and their website access preferences. <?php echo $atospp_name; ?> visitors who do not wish to have
        cookies placed on their computers should set their browsers to refuse cookies before
        using <?php echo $atospp_namepossessive; ?> websites, with the drawback that certain features
        of <?php echo $atospp_namepossessive; ?> websites may not function properly without the aid of cookies.</p>
    <h3>Business Transfers</h3>
    <p>If <?php echo $atospp_name; ?>, or substantially all of its assets, were acquired, or in the unlikely event
        that <?php echo $atospp_name; ?> goes out of business or enters bankruptcy, user information would be one of the
        assets that is transferred or acquired by a third party. You acknowledge that such transfers may occur, and that
        any acquirer of <?php echo $atospp_name; ?> may continue to use your personal information as set forth in this
        policy.</p>
    <h3>Ads</h3>
    <p>Ads appearing on any of our websites may be delivered to users by advertising partners, who may set cookies.
        These cookies allow the ad server to recognize your computer each time they send you an online advertisement to
        compile information about you or others who use your computer. This information allows ad networks to, among
        other things, deliver targeted advertisements that they believe will be of most interest to you. This Privacy
        Policy covers the use of cookies by <?php echo $atospp_name; ?> and does not cover the use of cookies by any
        advertisers.</p>
    <h3><?php echo $atospp_pp_heading; ?> Changes</h3>
    <p>Although most changes are likely to be minor, <?php echo $atospp_name; ?> may change
        its <?php echo $atospp_pp_heading; ?> from time to time, and in <?php echo $atospp_namepossessive; ?> sole
        discretion. <?php echo $atospp_name; ?> encourages visitors to frequently check this page for any changes to
        its <?php echo $atospp_pp_heading; ?>. If you have a <?php echo $atospp_domainname; ?> account, you might also
        receive an alert informing you of these changes. Your continued use of this site after any change in
        this <?php echo $atospp_pp_heading; ?> will constitute your acceptance of such change.</p>
<?php echo apply_filters( 'atospp_pp_after_end', '' ); ?>