<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Blogeasy
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
<meta http-equiv="content-language" content="ID" />
<meta name="rating" content="general" />
<meta content="id" name="language"/>
<meta content="id" name="geo.country"/>
<meta name="revisit-after" content="1 Day">
<meta content="Indonesia" name="geo.placename"/>
<meta name="webcrawlers" content="all" />
<meta name="rating" content="general" />
<meta name="spiders" content="all" />
<meta name="Slurp" content="all" />
<meta content='index, follow' name='robots'/>
<meta name="distribution" content="global" />
<meta name="tgn.nation" content="Indonesia" />
<link rel="canonical" href="/">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<div id="box-container" class="container">
		<header id="masthead" class="site-header text-center">
			<div class="site-branding">
				<?php
				the_custom_logo();
				if ( is_front_page() && is_home() ) :
					?>
					<h1 class="site-title h1"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
					<?php
				else :
					?>
					<h2 class="site-title h1"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h2>
					<?php
				endif;
				$blogeasy_description = get_bloginfo( 'description', 'display' );
				if ( $blogeasy_description || is_customize_preview() ) :
					?>
					<p class="site-description"><?php echo $blogeasy_description; /* WPCS: xss ok. */ ?></p>
				<?php endif; ?>
			</div><!-- .site-branding -->
		</header><!-- #masthead -->

		<div class="row main-nav-bg">
			<div class="col-md-12">
				<nav id="site-navigation" class="main-navigation">
					<?php
					wp_nav_menu( array(
						'theme_location' => 'menu-1',
						'menu_id'        => 'primary-menu',
					) );
					?>
				</nav><!-- #site-navigation -->
			</div>
		</div>

		<div id="content" class="site-content">
